> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yativo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Swap Assets

> Retrieve all assets available for swapping

<ParamField header="Authorization" type="string" required>
  Bearer token: `Bearer YOUR_ACCESS_TOKEN`
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X GET 'https://crypto-api.yativo.com/api/v1/swap/assets' \
    -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": [
      {
        "id": "ast_6615c3c3e55d9ff7bc0a9012",
        "name": "USD Coin (Solana)",
        "symbol": "USDC",
        "ticker_name": "USDC_SOL",
        "address": "7xKt3Bm4NZpQhsWn1YvJd2Lr8Pk5Cq9eAw6Fu0GiRHs",
        "chain": "SOL",
        "balance": "0.300000",
        "type": "user",
        "decimals": 6,
        "contract_address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"
      }
    ],
    "message": "User assets retrieved successfully"
  }
  ```
</ResponseExample>
